Bug 510186 - Perl-Curses needs to filter a development module: perl(ExtUtils::testlib)
Perl-Curses needs to filter a development module: perl(ExtUtils::testlib)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Curses (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Garrick Staples
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 04:59 EDT by Nicolas Chauvet (kwizart)
Modified: 2009-07-22 04:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 04:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update to 1.27 and fix dependencies extraction on %%doc (1.87 KB, patch)
2009-07-16 04:57 EDT, Nicolas Chauvet (kwizart)
no flags Details | Diff

  None (edit)
Description Nicolas Chauvet (kwizart) 2009-07-08 04:59:42 EDT
Description of problem:
Perl-Curses needs to filter a development package: perl(ExtUtils::testlib)

Version-Release number of selected component (if applicable):
perl-Curses-1.20-4.fc11.i586

How reproducible: always


Steps to Reproduce: on a New default install
1. yum install perl-Curses
  
Actual results:
Installation:
 perl-Curses
Installation pour dépendance:
 perl-ExtUtils-MakeMaker
 perl-ExtUtils-ParseXS
 perl-Test-Harness
 perl-devel


Expected results:
Installation:
 perl-Curses
without the developement dependencies bring by perl(ExtUtils::testlib)

Additional info:
Comment 1 Nicolas Chauvet (kwizart) 2009-07-16 04:39:30 EDT
That problem can be solved by removing the exec perm for the demo* provided as %doc
Comment 2 Nicolas Chauvet (kwizart) 2009-07-16 04:57:57 EDT
Created attachment 353957 [details]
Update to 1.27 and fix dependencies extraction on %%doc
Comment 3 Nicolas Chauvet (kwizart) 2009-07-21 10:36:04 EDT
That problem would deserve to be fixed before the Mass Rebuild so we can discover possible missing Build Requirement from packages using perl-Curses at built time.
Comment 4 Marcela Mašláňová 2009-07-22 04:11:27 EDT
(In reply to comment #3)
> That problem would deserve to be fixed before the Mass Rebuild so we can
> discover possible missing Build Requirement from packages using perl-Curses at
> built time.  

Ok, I made a commit for you, with your patch. I hope maintainer don't mind.

Note You need to log in before you can comment on or make changes to this bug.